%define modname dbase
%define dirname %{modname}
%define soname %{modname}.so
%define inifile B04_%{modname}.ini

Summary:	dBase database file access functions
Name:		php-%{modname}
Epoch:		1
Version:	5.1.0
Release:	%mkrel 10
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/dbase
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Source1:	%{modname}.ini
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	apache-devel >= 2.2.0

%description
This package provides an interface for communicating with the dbase database
in PHP.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib}
%make
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%files 
%doc CREDITS package*.xml 
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 1:5.1.0-10.mga6
+ Revision: 958343
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:5.1.0-9.mga5
+ Revision: 748990
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:5.1.0-8.mga5
+ Revision: 687113
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 1:5.1.0-7.mga5
+ Revision: 616543
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 1:5.1.0-6.mga4
+ Revision: 567675
- Rebuild for new PHP

* Sat Oct 19 2013 umeabot <umeabot> 1:5.1.0-5.mga4
+ Revision: 527792
- Mageia 4 Mass Rebuild

* Thu Jun 13 2013 oden <oden> 1:5.1.0-4.mga4
+ Revision: 442627
- rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 1:5.1.0-3.mga3
+ Revision: 393255
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1:5.1.0-2.mga3
+ Revision: 375731
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 31 2012 fwang <fwang> 1:5.1.0-1.mga3
+ Revision: 276469
- new version 5.1.0

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:5.0.1-2.mga2
+ Revision: 223876
- httpd restart is handled by filetriggers now

* Wed Jan 04 2012 fwang <fwang> 1:5.0.1-1.mga2
+ Revision: 190232
- imported package php-dbase

